/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service.external.demographics;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.EntityKey;

/**
 * Initial javadoc for class DemographicsChangeEvent.
 * TODO - Add content here
 * 
 * Created Dec 23, 2005 10:54:50 AM
 * @author DNS   BOHMEG
 */
public class DemographicsChangeEvent extends ExternalComponent {
	/**
	 * 
	 */
	private static final long serialVersionUID = 8759491388478573108L;
	private EntityKey entityKey;
	private DemographicsChangeType changeType;
	
	public DemographicsChangeEvent(DemographicsChangeType changeType) {
		this.changeType = changeType;		
	}
	
	public DemographicsChangeEvent(DemographicsChangeType changeType, EntityKey entityKey) {
		this(changeType);
		this.entityKey = entityKey;
	}
	
	/**
	 * @return Returns the changeType.
	 */
	public DemographicsChangeType getChangeType() {
		return changeType;
	}
	/**
	 * @param changeType The changeType to set.
	 */
	public void setChangeType(DemographicsChangeType changeType) {
		this.changeType = changeType;
	}
	/**
	 * @return Returns the entityKey.
	 */
	public EntityKey getEntityKey() {
		return entityKey;
	}
	/**
	 * @param entityKey The entityKey to set.
	 */
	public void setEntityKey(EntityKey entityKey) {
		this.entityKey = entityKey;
	}
	
}
